{ ... }: {
  imports = [
    ../../templates/proxmox-lxc.nix
    ../../server.nix
    ../../features/dns-cache.nix
    ../../features/telemetry
  ];

  networking.hostName = "git";
  system.stateVersion = "24.05";
  nixpkgs.hostPlatform = "x86_64-linux";

  services.forgejo = {
    enable = true;
    settings = {
      database = {
        DB_TYPE = "sqlite3";
      };
      server = {
        DOMAIN = "git.foxxolay.com";
        ROOT_URL = "https://git.foxxolay.com";
      };
      service = {
        SSH_DOMAIN = "git.hoki-porgy.ts.net";
      };
    };
  };
}
